using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Net;
using System.Text;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
       
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        SautinSoft.PdfVision v = new SautinSoft.PdfVision();

		//Specify top and bottom page margins
        v.PageStyle.PageMarginTop.Mm(5f);
        v.PageStyle.PageMarginBottom.Mm(25f);        

        string html = GetHtml();
        byte[] pdfBytes = null;

        v.ImageStyle.HtmlTimeOutForScripts = 0f;

        pdfBytes = v.ConvertHtmlStringToPDFStream(html);
        
        //show PDF
        if (pdfBytes != null)
        {
            Response.Buffer = true;
            Response.Clear();
            Response.ContentType = "application/PDF";
            //Response.AddHeader("Content-Disposition:", "attachment; filename=Result.pdf");
            Response.AddHeader("Content-Disposition:", "inline; filename=Result.pdf");
            Response.BinaryWrite(pdfBytes);
            Response.Flush();
            Response.End();
        }
      
    }   
    private string GetHtml()
    {
        string pageURL = System.Web.HttpContext.Current.Request.Url.AbsoluteUri;

        WebRequest mywebReq = WebRequest.Create(pageURL);
        WebResponse mywebResp = mywebReq.GetResponse();
        StreamReader sr = new StreamReader(mywebResp.GetResponseStream(), System.Text.Encoding.UTF8);
        return sr.ReadToEnd();        
    }
}
