Imports System.IO
Imports System.Collections


Namespace Sample
	Friend Class Test

		Shared Sub Main(ByVal args() As String)

			'Merge PDF in memory
			Dim v As New SautinSoft.PdfVision()
			'v.Serial = "XXXXXXXXXXXXXXX";

			'merge 4 PDF files
			Dim files(3) As String
			files(0) = "c:\document1.pdf"
			files(1) = "c:\document2.pdf"
			files(2) = "c:\document3.pdf"
			files(3) = "c:\document4.pdf"

			Dim arPdfBytes As New ArrayList()

			'fill arraylist by pdf bytes
			For i As Integer = 0 To files.Length - 1
				Dim pdfBytes() As Byte=Nothing
				pdfBytes = ReadByteArrayFromFile(files(i))
				If pdfBytes IsNot Nothing Then
					arPdfBytes.Add(pdfBytes)
				End If

			Next i

			Dim pdf() As Byte = v.MergePDFStreamArrayToPDFStream(arPdfBytes)

			If pdf IsNot Nothing Then
				Dim pdfFile As String = "..\..\..\..\..\hardcopy.pdf"
				File.Delete(pdfFile)
				Dim fs As FileStream = File.OpenWrite(pdfFile)
				fs.Write(pdf,0,pdf.Length)
				fs.Close()
				System.Diagnostics.Process.Start(pdfFile)
			End If

		End Sub
		Public Shared Function ReadByteArrayFromFile(ByVal fileName As String) As Byte()
			Dim buff() As Byte = Nothing
			Try
				Dim fs As New FileStream(fileName, FileMode.Open, FileAccess.Read)
				Dim br As New BinaryReader(fs)
				Dim numBytes As Long = (New FileInfo(fileName)).Length
				buff = br.ReadBytes(CInt(numBytes))
			Catch
			End Try
			Return buff
		End Function
	End Class
End Namespace
