Imports System.IO

Namespace Sample
	Friend Class Test

		Shared Sub Main(ByVal args() As String)

			'Convert HTML file/url to PDF file
			Dim v As New SautinSoft.PdfVision()
			'v.Serial = "XXXXXXXXXXXXXXX";

			'specify converting options
			v.PageStyle.PageSize.Auto()
			'v.PageStyle.PageMarginLeft.Inch(1);
			'v.ImageStyle.Heightmm(150);
			'v.ImageStyle.WidthInch(10);

			'Specify top and bottom page margins
			v.PageStyle.PageMarginTop.Mm(5F)
			v.PageStyle.PageMarginBottom.Mm(5F)

			'To make PDF optimal by size and quality we recommend following:
			'For JPEG images  specify the quality to 80, for HTML, PNG and GIF set it to 100
			v.ImageStyle.Quality=100
			'set it 3 seconds to HTML with a lot of JavaScripts, like a Google Maps
			v.ImageStyle.HtmlTimeOutForScripts = 0F


			'Convert image file to pdf file
			Dim ret As Integer = v.ConvertHtmlFileToPDFFile("http://www.sautinsoft.net", "..\..\..\..\..\hardcopy.pdf")

			' 0 - converting successfully
			' 1 - can't open input file, check the input path
			' 2 - can't create output file, check the output path
			' 3 - converting failed
			If ret=0 Then
				'Show produced pdf in Acrobat Reader
				System.Diagnostics.Process.Start("..\..\..\..\..\hardcopy.pdf")
			End If
		End Sub
	End Class
End Namespace
